<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        $sql = <<<'SQL'
            CREATE TABLE module_lists (
                id					BIGINT GENERATED always AS IDENTITY PRIMARY KEY,

                module_name		    TEXT NOT NULL,
                dashboard_name		TEXT NOT NULL,
                filter_name         TEXT NOT NULL,

                created_at			TIMESTAMP NOT NULL DEFAULT NOW(),
                updated_at			TIMESTAMP NOT NULL DEFAULT NOW(),
                deleted_at			TIMESTAMP,

                created_by			TEXT NULL,
                updated_by			TEXT NULL,

                UNIQUE (module_name, dashboard_name, filter_name)

            );
        SQL;

        DB::statement($sql);
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::dropIfExists('module_lists');
    }
};
